#!/bin/tcsh

## This script will scan the regression output directories, and list out
## those that don't exist, or didn't produce the needed stats output file.
## Why is this needed?  Sometimes jobs fail.
## Sometimes you have to run this more than once :(

set nbad = 0
set site = Beijing

foreach stim ( blk10 blk30 evran evreg )
foreach blur ( 4 6 8 10 )
  set wdir = ../${stim}stim.b${blur}mm
  if( ! -d $wdir )then
     echo "-- skipping $stim $blur -- directory $wdir does not exist"
     @ nbad ++ ; continue
  endif

  foreach sub  ( `cat $site.list.txt` )
    set sdir = $wdir/${sub}.results
    if( ! -d $sdir )then
      echo "-- $stim $blur $sub output directory $sdir does not exist"
      @ nbad ++ ; continue
    endif
    if( ! -f $sdir/stats.${sub}_REML+tlrc.HEAD )then
      echo "-- $stim $blur $sub output file $sdir/stats.${sub}_REML+tlrc.HEAD does not exist"
      @ nbad ++
    endif
  end

end
end

if( $nbad == 0 ) echo "++ All needed regress stats files found :)"

exit 0
