#!/bin/tcsh

# This script submits the jobs for the nonlinear warping of
# each subject's anat to MNI space.
# It uses the 'swarm' command, which is part of the Linux cluster
# management system SLURM.

unset noclobber
set site = Beijing

# subject ID list
set Slist = ( `cat $site.list.txt` )

# create a file, with 1 line for each case to run
set sname = junk.swarm.warper
if( -f $sname ) \rm $sname
touch $sname

foreach sub ( $Slist )
  echo "tcsh Script_1.warper.csh $sub" >> $sname
end

# run this file via swarm (16 threads per job)
# the 'nimh' partitions is local to NIH,
# and certainly has to be changed for any other site

swarm -f $sname -g 12 -t 16 --usecsh --time 2:59:00 \
      --partition nimh --job-name Warper
